from qt import *

class Application(QMainWindow):
    def __init__(self):
        QMainWindow.__init__(self)

        self.workspace = Workspace(self)
        self.setCentralWidget(self.workspace)
        button1 = QPushButton('windowList()', self)
        button1.move(0, 100)
        button1.show()
        self.connect(button1, SIGNAL('clicked()'), self._slot_list_window)
        
    def _slot_list_window(self):
        print "Number of widgets: %d" % len(self.workspace.windowList())

        
class Workspace(QWorkspace):
    def __init__(self, parent):
        QWorkspace.__init__(self, parent)
        
        for x in range(4):
            widget = QWidget(self)
            widget.show()


if __name__ == "__main__":
    qApp = QApplication([])    
    a = Application()
    a.show()
    QObject.connect(qApp, SIGNAL("lastWindowClosed()"), qApp.quit)
    qApp.exec_loop()   
